PUT /schedule_triggers/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/schedule_triggers/:id

Updates a Schedule Trigger by ID

Change a schedule trigger's name, type, expiration timing, token filters, or sort order.

Params

Param name Description
schedule_id
Optional Blank value allowed

Schedule internal id

name
Optional

The trigger name

  • Must be a String

trigger_type
Optional

The schedule ends when the lead has taken this action.

  • Must be one of: none, tokens_match, expired, buyer_connected, buyer_converted, dial.

expire_minutes
Optional Blank value allowed

The order in which records will be sorted. Values are sorted in ascending order; smaller values are listed first.

  • Must be a decimal number.

expire_timestamp_name
Optional Blank value allowed

Which lead timestamp expire_minutes is measured from, such as created_at, first_queued_at, or first_action_at.

  • Must be one of: created_at, first_queued_at, first_action_at.

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"
record_token_additional_list
Optional Blank value allowed

Assign additional tokens that will be applied to leads and calls by passing a comma separated string of key:value pairs.

  • Must be a valid list of tokens. Example tokens:
    buyer_interest:loan,another_token:value
token_value_ids
Optional Blank value allowed

The first trigger matching the lead will be used.

attribution_token_value_ids
Optional Blank value allowed

These extra tokens will be applied to leads that exit the schedule through this trigger.

sortable_order
Optional Blank value allowed

The order in which records will be sorted. Values are sorted in ascending order; smaller values are listed first.

  • Must be a decimal number.